﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DomainObjects.Entities;
using Castle.ActiveRecord.Framework.Config;
using System.Reflection;
using Castle.ActiveRecord;
using System.IO;

namespace VRConsole
{
    class Program
    {
        static void Main(string[] args)
        {
            string resourceName = "VRConsole.appconfig.xml";
            Assembly assembly = Assembly.Load("VRConsole");
            XmlConfigurationSource config = new XmlConfigurationSource(assembly.GetManifestResourceStream(resourceName));
            Assembly a = Assembly.Load("DomainObjects");
            ActiveRecordStarter.Initialize(a, config);

            var department = Department.Find(4967);

            Console.WriteLine(department.Name);
           
        }
    }
}
